<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: behavioral Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classFIFO__sync.html">FIFO_sync</a></li><li class="navelem"><a class="el" href="classFIFO__sync_1_1behavioral.html">behavioral</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">behavioral Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classFIFO__sync_1_1behavioral-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:a0e3310ca58335d2f32092cfae3b4b2ef"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0e3310ca58335d2f32092cfae3b4b2ef"></a>
<a class="el" href="classFIFO__sync_1_1behavioral.html#a0e3310ca58335d2f32092cfae3b4b2ef">PROCESS_90</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">aclr</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clk_w</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a0ef2ff45bb55ce8966263f6d6a9155d5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0ef2ff45bb55ce8966263f6d6a9155d5"></a>
<a class="el" href="classFIFO__sync_1_1behavioral.html#a0ef2ff45bb55ce8966263f6d6a9155d5">PROCESS_210</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">aclr</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clk_w</span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Components"></a>
Components</h2></td></tr>
 <tr class="memitem:aa6c930cbc7ae33c54e6190741516bd4b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa6c930cbc7ae33c54e6190741516bd4b"></a>
<a class="el" href="classFIFO__sync_1_1behavioral.html#aa6c930cbc7ae33c54e6190741516bd4b">lpm_fifo_dc</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classlpm__fifo__dc.html">&lt;Entity lpm_fifo_dc&gt; </a></em></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:ab9e0da81f1f2c7bb6782f47af92156ac"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab9e0da81f1f2c7bb6782f47af92156ac"></a>
<a class="el" href="classFIFO__sync_1_1behavioral.html#ab9e0da81f1f2c7bb6782f47af92156ac">almost_full_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a60b386f9abaafae77c4e59bfd1be3c00"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a60b386f9abaafae77c4e59bfd1be3c00"></a>
<a class="el" href="classFIFO__sync_1_1behavioral.html#a60b386f9abaafae77c4e59bfd1be3c00">resetp</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac9fd2f9b9d09007b7c7201b45e03a9ba"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac9fd2f9b9d09007b7c7201b45e03a9ba"></a>
<a class="el" href="classFIFO__sync_1_1behavioral.html#ac9fd2f9b9d09007b7c7201b45e03a9ba">word_used</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">fifo_deep</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Instantiations"></a>
Instantiations</h2></td></tr>
 <tr class="memitem:a219130644308819ef2394bcc5cb34caf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a219130644308819ef2394bcc5cb34caf"></a>
<a class="el" href="classFIFO__sync_1_1behavioral.html#a219130644308819ef2394bcc5cb34caf">fifo_dc</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>lpm_fifo_dc</b>  <em><a class="el" href="classlpm__fifo__dc.html">&lt;Entity lpm_fifo_dc&gt;</a></em></td></tr>
<tr class="memitem:a219130644308819ef2394bcc5cb34caf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a219130644308819ef2394bcc5cb34caf"></a>
<a class="el" href="classFIFO__sync_1_1behavioral.html#a219130644308819ef2394bcc5cb34caf">fifo_dc</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>lpm_fifo_dc</b>  <em><a class="el" href="classlpm__fifo__dc.html">&lt;Entity lpm_fifo_dc&gt;</a></em></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="10Gb_2slink_2FIFO__sync_8vhd_source.html#l00035">35</a> of file <a class="el" href="10Gb_2slink_2FIFO__sync_8vhd_source.html">FIFO_sync.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/work/dan/AMC13/amc13-fw/src/CMS_DAQ_if/10Gb/slink/<a class="el" href="10Gb_2slink_2FIFO__sync_8vhd_source.html">FIFO_sync.vhd</a></li>
<li>/work/dan/AMC13/amc13-fw/src/CMS_DAQ_if/5Gb/slink/<a class="el" href="5Gb_2slink_2FIFO__sync_8vhd_source.html">FIFO_sync.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:43 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
